Subject: bug#24560: 25.1; With `--font 7x13', wrong font is used for Unicode characters

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 17 Nov 2019 17:26:18 +0100

Eli Zaretskii <[email-masked]> writes:

> It sounds like something is wrong with the 7x13 font or with how Emacs
> handles these fonts, because there are several bug reports that
> basically say the same thing.

I wonder why I can't reproduce it.  Hm.  The xft/harfbuzz thing
shouldn't interfere here, should it?  That's a bitfont?

I tried 

./configure --with-xft --without-harfbuzz

and the CENT SIGN was of the same size as the ASCII characters, and

./configure --without-xft --with-harfbuzz

...

Hang on, the latter gives me

  Does Emacs use HarfBuzz?                                no

but just ./configure gives me

  Does Emacs use HarfBuzz?                                yes

Sounds like a bug in the autoconfig stuff.

Anyway, I get the same result there:

One more detail.  When inserting CENT SIGN, I get this warning:

(emacs:29060): Gtk-CRITICAL **: 17:12:48.023: gtk_distribute_natural_allocation: assertion 'extra_space >= 0' failed

If I use a different font, I don't get that warning.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no